=== debian/changelog ===
xlnx-platformstats (1:1.1-0ubuntu1~xlnx01) noble; urgency=medium

  * Promote to noble
    - Epoch versioning is used here because there are existing
      optimized Ubuntu images published with old versioning
      scheme used by upstream.
    - Package divided into 4 packages
      + python3-xlnx-platformstats
      + libxlnx-platformstats1
      + libxlnx-platformstats-dev
      + xlnx-platformstats

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 01 Feb 2024 11:07:27 +0100

xlnx-platformstats (1:1.1) jammy; urgency=medium

  * Update versioning scheme of the package to sync with upstream

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 05 Dec 2023 10:27:43 +0100

xlnx-platformstats (2023.1+9b4327f-0ubuntu1) jammy; urgency=medium

  * Update to upstream version 2023.1 SHA 9b4327f

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 05 Jul 2023 19:24:26 +0000

xlnx-platformstats (2022.1+20220923+2b91c81-0ubuntu0xlnx1) jammy; urgency=medium

  * Update to upstream SHA 2b91c81

 -- Hon Ming Hui <honming.hui@canonical.com>  Fri, 23 Sep 2022 02:32:28 +0100

xlnx-platformstats (2022.1+20220914+75ca94a-0ubuntu0xlnx1) jammy; urgency=medium

  * New package from upstream after the rename from platformstats to
    xlnx_platformstats

 -- Hon Ming Hui <honming.hui@canonical.com>  Wed, 14 Sep 2022 12:51:32 +0100
