=== debian/control ===
Source: xlnx-platformstats
Standards-Version: 4.6.2
Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
Priority: optional
Section: utils
Testsuite: autopkgtest-pkg-python
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               doxygen,
               python3-all-dev,
               swig

Package: libxlnx-platformstats-dev
Architecture: arm64
Depends: libxlnx-platformstats1 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: Platform Statistcs for AMD-Xilinx boards - development files
 This provides required header files to use the utility
 from the a client application.
 .
 This package contains development files.

Package: libxlnx-platformstats1
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Breaks: xlnx-platformstats (<< 1:1.1)
Replaces: xlnx-platformstats (<< 1:1.1)
Description: Platform Statistcs for AMD-Xilinx boards - shared library
 This provides a shared library which can be used to create custom
 solutions around xlnx-platformstats.
 .
 This package provides so files for library.

Package: python3-xlnx-platformstats
Architecture: arm64
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Section: python
Description: Platform Statistcs for AMD-Xilinx boards - Python bindings
 Python bindings of the package allows user to use the functionalities
 provided by xlnx-platformstats in Python applications.
 .
 This package provides Python interface for library.

Package: xlnx-platformstats
Architecture: arm64
Depends: libxlnx-platformstats1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Platform Statistcs for AMD-Xilinx boards - binary
 Gives access to status data of the board. This data
 includes CPU load, temperature values from various peripherals
 power utilization information etc.
 .
 This package provides xlnx_platformstats binary utility.
