=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 OBJECTS = $(SOURCES:.c=.o)
 INCLUDEDIR = ../include
 MAJOR = 1
-MINOR = 1
+MINOR = 2
 VERSION = $(MAJOR).$(MINOR)
 NAME := xlnx_platformstats
 
@@ -34,7 +34,7 @@
 	$(CP) $(HEADERS) $(INCLUDEDIR)/xlnx_platformstats
 
 lib$(NAME).so.$(VERSION): $(OBJECTS)
-	$(CC) $(LDFLAGS) $^ -Wl,-soname,lib$(NAME).so.$(MAJOR) -o lib$(NAME).so.$(VERSION)
+	$(CC) $(LDFLAGS) $^ -Wl,-soname,lib$(NAME).so.$(MAJOR) -o lib$(NAME).so.$(VERSION) -lfreeipmi
 
 lib$(NAME).so: lib$(NAME).so.$(VERSION)
 	rm -f lib$(NAME).so.$(MAJOR) lib$(NAME).so
