=== debian/changelog ===
xlnx-platformstats (1:1.2-0ubuntu7) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:21:09 +0000

xlnx-platformstats (1:1.2-0ubuntu6) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:57:03 +0100

xlnx-platformstats (1:1.2-0ubuntu5) oracular; urgency=medium

  [ Talha Can Havadar ]
  * Initial upload to Ubuntu archive (LP: #2042849)
    - Epoch versioning is used here because there are existing
      optimized Ubuntu images published with old versioning
      scheme used by upstream.
  * d/gbp.conf: update from ubuntu/noble to ubuntu/oracular

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 28 May 2024 13:18:48 +0200

xlnx-platformstats (1:1.2-0ubuntu4) noble; urgency=medium

  * d/gbp.conf: add gbp.conf file ubuntu/noble

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 28 May 2024 12:51:01 +0200

xlnx-platformstats (1:1.2-0ubuntu3) noble; urgency=medium

  * add Homepage and Rules-Requires-Root fields to d/control
  * add new symbols to libxlnx-platformstats1.symbols

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 27 Mar 2024 12:45:28 +0100

xlnx-platformstats (1:1.2-0ubuntu2) noble; urgency=medium

  * add libfreeipmi-dev into Build-Depends in d/control

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 26 Mar 2024 18:21:23 +0100

xlnx-platformstats (1:1.2-0ubuntu1) noble; urgency=medium

  [ Vishal Patel ]
  * Initialize fp_out for python bindings
  * Add check for KV/KR/KD carrier card
  * Fix build warnings
  * Update version to 1.2

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 26 Mar 2024 14:31:03 +0100
