=== debian/control ===
--- 
+++ 
@@ -9,8 +9,11 @@
                dh-exec,
                dh-python,
                doxygen,
+               libfreeipmi-dev,
                python3-all-dev,
                swig
+Rules-Requires-Root: no
+Homepage: https://github.com/Xilinx/xlnx_platformstats
 
 Package: libxlnx-platformstats-dev
 Architecture: arm64
