=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 OBJECTS = $(SOURCES:.c=.o)
 INCLUDEDIR = ../include
 MAJOR = 1
-MINOR = 2
+MINOR = 3
 VERSION = $(MAJOR).$(MINOR)
 NAME := xlnx_platformstats
