=== debian/changelog ===
xlnx-platformstats (1:1.3-0ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:27:07 +0000

xlnx-platformstats (1:1.3-0ubuntu1) questing; urgency=medium

  * New upstream version 1.3 (LP: #2111418)
  * d/gbp.conf: remove debian branch config in ubuntu/devel
  * d/control: update Standards-Version to 4.7.2

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Wed, 21 May 2025 07:12:53 +0000
