=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xlnx-platformstats
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
 Priority: optional
 Section: utils
