=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# installation directory for python package is incorrect
# so we need to override it to place the files into correct location
export PYBUILD_SYSTEM = custom
export PYBUILD_BUILD_ARGS = PYTHON_BASEVERSION={version} make
export PYBUILD_CLEAN_ARGS = $(PYBUILD_BUILD_ARGS) clean
export PYBUILD_INSTALL_ARGS = $(PYBUILD_BUILD_ARGS) install DESTDIR={destdir} PYTHON_SITEPACKAGES_DIR={install_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild
