=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xlnx-platformstats-$1\.tar\.gz/" \
  https://github.com/Xilinx/xlnx_platformstats/tags \
  .*/v@ANY_VERSION@@ARCHIVE_EXT@ \
  debian
