## xlnx-platformstats 2023.1+9b4327f

=== debian/control ===
Source: xlnx-platformstats
Standards-Version: 4.6.0
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Priority: optional
Section: utils
Build-Depends: cmake, debhelper-compat (= 13), swig, python3-dev

Package: xlnx-platformstats
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-distro
Description: Provides APIs to print Xilinx platform statistics.
 This library is used together with xmutil
